//
//  MDNetLoadOperation.h
//  NetLoader
//
//  Created by Vadim Kalinsky on 26.02.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MDNetLoadOperation : NSOperation {
	id delegate;
	
	NSString* urlAddress;
	NSString* urlUser;
	NSString* urlPassword;
	
	NSData* receivedData;
	int status;
}

+(NSOperationQueue*)sharedDownloadQueue;
+(void)getAddress:(NSString*)address userName:(NSString*)user userPassword:(NSString*)password andDelegate:(id)_delegate;
+(void)cancelAllDownloadsForDelegate:(id)delegate;

-(id)initWithAddress:(NSString*)address userName:(NSString*)user userPassword:(NSString*)password andDelegate:(id)delegate;
-(id)initWithAddress:(NSString*)address andDelegate:(id)delegate;

-(id)delegate;
-(NSData*)receivedData;
-(int)status;

@end
