//
//  LittleCategories.h
//  Starbrush
//
//  Created by Denis Gryzlov on 05.09.07.
//  Copyright 2007 ShockWidgets.com. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSString (ALGAdditions)
- (NSString *) firstLine;
- (NSArray *) lines;
- (NSArray *) words;
- (NSString *) wordAtIndex:(unsigned)index;
- (BOOL) hasString:(NSString *)str;
+ (NSString *) UUIDString;
- (NSString *) MD5String;
@end


@interface NSArray (ALGAdditions)
- (id) firstObject;
- (id) secondObject;
- (id) thirdObject;
@end

@interface NSObject (ALGAdditions)
- (BOOL) delegateWithSelector:(SEL)selector andObject:(id)obj;
- (BOOL) delegateWithSelector:(SEL)selector;
- (void) NSLogMe;
- (id) autoreleasedCopy;
@end

@interface NSNumber (ALGAdditions)
+ (NSNumber *)trueBool;
+ (NSNumber *)falseBool;
@end